| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
FAULT_OBJECT_s Struct Reference

Generic fault object. More...

`#include <fault_handler/drivers/drv_fault_handler.h>`

Collaboration diagram for FAULT_OBJECT_s:

## Data Fields
volatile struct FLT_OBJECT_STATUS_s | Status
| Status word of this fault object. More...
volatile uint16_t | Counter
| Fault event counter (controlled by FAULT HANDLER) More...
volatile struct FLT_COMPARE_OBJECT_s | SourceObject
| Object which should be monitored. More...
volatile struct FLT_COMPARE_OBJECT_s | ReferenceObject
| Reference object the source should be compared with. More...
volatile struct FLT_EVENT_RESPONSE_s | TripResponse
| Settings defining the fault trip event. More...
volatile struct FLT_EVENT_RESPONSE_s | RecoveryResponse
| Settings defining the fault recovery event. More...

## Detailed Description

Generic fault object.

Definition at line 131 of file drv_fault_handler.h.

## Field Documentation

## ◆ Counter

volatile uint16_t Counter

Fault event counter (controlled by FAULT HANDLER)

Definition at line 134 of file drv_fault_handler.h.

## ◆ RecoveryResponse

volatile struct FLT_EVENT_RESPONSE_s RecoveryResponse

Settings defining the fault recovery event.

Definition at line 138 of file drv_fault_handler.h.

## ◆ ReferenceObject

volatile struct FLT_COMPARE_OBJECT_s ReferenceObject

Reference object the source should be compared with.

Definition at line 136 of file drv_fault_handler.h.

## ◆ SourceObject

volatile struct FLT_COMPARE_OBJECT_s SourceObject

Object which should be monitored.

Definition at line 135 of file drv_fault_handler.h.

## ◆ Status

volatile struct FLT_OBJECT_STATUS_s Status

Status word of this fault object.

Definition at line 133 of file drv_fault_handler.h.

## ◆ TripResponse

volatile struct FLT_EVENT_RESPONSE_s TripResponse

Settings defining the fault trip event.

Definition at line 137 of file drv_fault_handler.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/fault_handler/drivers/drv_fault_handler.h